View Issue Details

IDProjectCategoryView StatusLast Update
0004849GNUnetGNSpublic2018-06-07 00:24
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PriorityhighSeverityblockReproducibilityalways
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0004849: shortening and reverse lookup need to be moved outside of gns proper
DescriptionThe reason is that these require the namestore, and the namestore must run as the user (personal!), while gns must run as the system (gnunet) as it directly accesses dns (which is super-priviledged).

With this change, we could have gns only require namecache, but never namestore, which would be good. Note that zonemaster was created as a first step towards this goal.
Additional InformationAnother reason to do this is that the shortening will likely need some more complex UX interactions in the future, so having a separate service would be good anyway.

Similar, for reverse lookup, Martin and Lynx started some more complex design discussions, which again might be facilitated by reversal living in its own process(es).
TagsNo tags attached.

Activities

Christian Grothoff

2017-02-21 18:06

manager   ~0011804

Shortening should probably just be killed for now, higher-level apps can do this by modifying the namestore explicitly anyway, and GNS doing it was always a mess.

Reverse lookup should be done via namestore and/or a new service, and also not in GNS.

Christian Grothoff

2017-02-22 21:29

manager   ~0011833

Fixed in 9bc1c69e2..cd9531932

Issue History

Date Modified Username Field Change
2017-01-04 22:16 Christian Grothoff New Issue
2017-02-20 11:32 Christian Grothoff Assigned To => Christian Grothoff
2017-02-20 11:32 Christian Grothoff Status new => assigned
2017-02-21 18:06 Christian Grothoff Note Added: 0011804
2017-02-21 20:21 Christian Grothoff Target Version 0.11.0 => 0.11.0pre66
2017-02-22 18:46 Christian Grothoff Priority normal => high
2017-02-22 21:29 Christian Grothoff Note Added: 0011833
2017-02-22 21:30 Christian Grothoff Status assigned => resolved
2017-02-22 21:30 Christian Grothoff Resolution open => fixed
2017-02-22 21:30 Christian Grothoff Fixed in Version => 0.11.0pre66
2018-06-07 00:24 Christian Grothoff Status resolved => closed